#!/usr/bin/env python

execfile('vectors.py')
import pyradiogatun
import pyradiogatun17
import pyradiogatun31
import pyradioaddin

# Standard RadioGatun, all 8-bit multiple word lengths
for wlen in [8,16,24,32,40,48,56,64]:
	for vector in vectors:
		hasher = pyradiogatun.new(wl=wlen)
		hasher.update(vector);
		print ('RadioGatun[' + str(wlen) +
			']("' + vector + '") ="' + hasher.hexdigest() + '"')

# Wider RadioGatun variant (belt is 17, not 13 wide, mill is 23, not 19 wide,
# and 20, not 16 blank rounds after input end) It works on 74, not 58 words
for wlen in [8,16,24,32,40,48,56,64]:
	for vector in vectors:
		hasher = pyradiogatun17.new(wl=wlen)
		hasher.update(vector);
		print ('RadioWider[' + str(wlen) +
			']("' + vector + '") ="' + hasher.hexdigest() + '"')

# Widband RadioGatun variant (belt is 31, not 13 wide, mill is 37, not 19 wide,
# and 36, not 16 blank rounds after input end) It works on 130, not 58 words
for wlen in [8,16,24,32,40,48,56,64]:
	for vector in vectors:
		hasher = pyradiogatun31.new(wl=wlen)
		hasher.update(vector);
		print ('RadioWideband[' + str(wlen) +
			']("' + vector + '") ="' + hasher.hexdigest() + '"')

# RadioGatun variant where the mill uses x=a[y]^(a[(y+1)%m]+~(a[(y+2)%m]))
# instead of x=a[y]^(a[(y+1)%m] | ~(a[(y+2)%m])) (addition instead of
# bitwise or)
for wlen in [8,16,24,32,40,48,56,64]:
	for vector in vectors:
		hasher = pyradioaddin.new(wl=wlen)
		hasher.update(vector);
		print ('RadioAddin[' + str(wlen) +
			']("' + vector + '") ="' + hasher.hexdigest() + '"')

